//FOR COMPILER C18 v.3.40 
//BOLT EXTERNAL CRYSTAL 20 MHZ.
//DIFFERENT FUNCTIONS DEPENDING ON POSITION OF SW1..SW4
//SW1..SW4 = OFF, FAST SHIFTING IN LEDS.
//SW1=ON (REST OFF) INCREMENTAL BINARY COUNTING LEDS
//SW2=ON (REST OFF) DECREMENTAL BINARY COUNTING LEDS
//SW3=ON (REST OFF) ROTATE LEDS
//SW4=ON (REST OFF) FLASHING LEDS AND RELAY

#include <p18cxxx.h>
#include <delays.h>
#include "18F2550BOLT.h"

extern void _startup( void ); // See c018i.c in your C18 compiler dir 
#pragma code _RESET_INTERRUPT_VECTOR = 0x000800 
void _reset( void ) 
{ 
    _asm goto _startup _endasm 
} 

#pragma code


int i;
void main()
{
	init_bolt();
		while(1)
		{
		if(SW1==0)
			{
			PORTB=PORTB+1;
			delay_ms(200);
			}
		if(SW2==0)
			{
			PORTB=PORTB-1;
			delay_ms(200);
			}
		if(SW3==0)
			{
			PORTB=1;
				for(i=0;i<8;i++)
				{
				delay_ms(200);
				PORTB=PORTB<<1;
				}
			}
		if(SW4==0)
			{
			PORTB=255;
			RELE=1;
			delay_ms(200);
			PORTB=0;
			RELE=0;
			delay_ms(200);
			}
		if((SW1==1)&(SW2==1)&(SW3==1)&(SW4==1))
			{
			PORTB=1;
				for(i=0;i<8;i++)
				{
				delay_ms(100);
				PORTB=PORTB<<1;
				}
			}
		}	
} 


